Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 455162 - dev-util/catfish-0.4.0.2 needs dev-python/pygobject:3 in RDEPEND - Error: The required module gi.repository is missing.
Summary: dev-util/catfish-0.4.0.2 needs dev-python/pygobject:3 in RDEPEND - Error: The...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Samuli Suominen
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 16:00 UTC by Small_Penguin
Modified: 2013-08-19 15:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Small_Penguin 2013-02-02 16:00:49 UTC

    
Comment 1 Small_Penguin 2013-02-02 16:04:59 UTC
Sorry for the spam, problems with internet connection.

If the runtime dependency is missing, the following error occurs and catfish won't start:
"Error: The required module gi.repository is missing."

I recommend adding dev-python/pygobject:3 to RDEPEND.

With this fixed, the following warning occurs:
Warning: The optional module zeitgeist.client is missing.
But that is only a minor thing and doesn't affect operation.
Comment 2 Samuli Suominen gentoo-dev 2013-04-27 16:20:13 UTC
Fixed in 0.6.3